from spack import *

class BiobbChemistry(PythonPackage):
    """Biobb_chemistry is the Biobb module collection to perform chemistry 
    over molecular dynamics simulations."""

    # Homepage and download url
    homepage = "https://github.com/bioexcel/biobb_chemistry"
    git = 'https://github.com/bioexcel/biobb_chemistry.git'

    # Set the gitlab accounts of this package maintainers
    maintainers = ['dbeltran']

    # Versions
    version('4.0.0', branch='master')

    # Dependencies
    depends_on('python@3.8:', type=('build', 'run'))
    depends_on('biobb-common')
    depends_on('openbabel')
    depends_on('ambertools')
    depends_on('acpype')
