from spack import *

class BiobbAnalysis(PythonPackage):
    """Biobb_analysis is the Biobb module collection to perform analysis 
    of molecular dynamics simulations"""

    # Homepage and download url
    homepage = "https://github.com/bioexcel/biobb_analysis"
    git = 'https://github.com/bioexcel/biobb_analysis.git'

    # Set the gitlab accounts of this package maintainers
    maintainers = ['dbeltran']

    # Versions
    version('4.0.1', branch='master')

    # Dependencies
    depends_on('python@3.8:', type=('build', 'run'))
    depends_on('biobb-common')
    depends_on('gromacs')
    depends_on('ambertools')
