from spack import *

class BiobbIo(PythonPackage):
    """Biobb_io is the Biobb module collection to fetch data to be
    consumed by the rest of the Biobb building blocks"""

    # Homepage and download url
    homepage = "https://github.com/bioexcel/biobb_io"
    git = 'https://github.com/bioexcel/biobb_io.git'

    # Versions
    version('4.0.0', branch='master')

    # Dependencies
    depends_on('biobb-common')
    depends_on('python@3.8:', type=('build', 'run'))
